## org.apache.poi.hssf.model
Class WorkbookRecordList

    java.lang.Object
      org.apache.poi.hssf.model.WorkbookRecordList

public class WorkbookRecordList
extends java.lang.Object

Constructor Summary
`WorkbookRecordList()`

Method Summary
`void` `add(int pos, Record r)`
`Record` `get(int i)`
`int` `getBackuppos()`
`int` `getBspos()`
`int` `getExternsheetPos()` Returns the externsheetPos.
`int` `getFontpos()`
`int` `getNamepos()` Returns the namepos.
`int` `getPalettepos()`
`int` `getProtpos()`
`java.util.List` `getRecords()`
`int` `getSupbookpos()` Returns the supbookpos.
`int` `getTabpos()`
`int` `getXfpos()`
`java.util.Iterator` `iterator()`
`void` `remove(int pos)`
`void` `setBackuppos(int backuppos)`
`void` `setBspos(int bspos)`
`void` `setExternsheetPos(int externsheetPos)` Sets the externsheetPos.
`void` `setFontpos(int fontpos)`
`void` `setNamepos(int namepos)` Sets the namepos.
`void` `setPalettepos(int palettepos)`
`void` `setProtpos(int protpos)`
`void` `setRecords(java.util.List records)`
`void` `setSupbookpos(int supbookpos)` Sets the supbookpos.
`void` `setTabpos(int tabpos)`
`void` `setXfpos(int xfpos)`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkbookRecordList

    public WorkbookRecordList()

Method Detail

### setRecords

    public void setRecords(java.util.List records)

### size

    public int size()

### get

    public Record get(int i)

### add

    public void add(int pos,
                    Record r)

### getRecords

    public java.util.List getRecords()

### iterator

    public java.util.Iterator iterator()

### remove

    public void remove(int pos)

### getProtpos

    public int getProtpos()

### setProtpos

    public void setProtpos(int protpos)

### getBspos

    public int getBspos()

### setBspos

    public void setBspos(int bspos)

### getTabpos

    public int getTabpos()

### setTabpos

    public void setTabpos(int tabpos)

### getFontpos

    public int getFontpos()

### setFontpos

    public void setFontpos(int fontpos)

### getXfpos

    public int getXfpos()

### setXfpos

    public void setXfpos(int xfpos)

### getBackuppos

    public int getBackuppos()

### setBackuppos

    public void setBackuppos(int backuppos)

### getPalettepos

    public int getPalettepos()

### setPalettepos

    public void setPalettepos(int palettepos)

### getNamepos

    public int getNamepos()

  Returns the namepos.

  Returns:
    int

### getSupbookpos

    public int getSupbookpos()

  Returns the supbookpos.

  Returns:
    int

### setNamepos

    public void setNamepos(int namepos)

  Sets the namepos.

  Parameters:
    `namepos` - The namepos to set

### setSupbookpos

    public void setSupbookpos(int supbookpos)

  Sets the supbookpos.

  Parameters:
    `supbookpos` - The supbookpos to set

### getExternsheetPos

    public int getExternsheetPos()

  Returns the externsheetPos.

  Returns:
    int

### setExternsheetPos

    public void setExternsheetPos(int externsheetPos)

  Sets the externsheetPos.

  Parameters:
    `externsheetPos` - The externsheetPos to set

Copyright © 2003 Apache Software Foundation.